Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.util
Class UserUtilities

    java.lang.Object
      oracle.ifs.core.util.UserUtilities

    public class UserUtilities

extends java.lang.Object

A UserUtilities is a set of static utility convenience methods for performing miscellaneous user operations.

Method Summary
`static Credential` | `createCredentialForUserDistinguishedName(LibrarySession session, java.lang.String dn)` Create a Credential that can be used to establish a LibrarySession for the specified user, identified by distinguished name (GUID).
`static Credential` | `createCredentialForUserName(LibrarySession session, java.lang.String userName)` Create a credential that can be used to create a session for the specified user, identified by name.
`static Credential` | `createGuestCredential(LibrarySession session)` Create a credential that can be used to establish guest access.
`static LibrarySession` | `createGuestSession(LibrarySession session)` Create a LibrarySession that can be used for guest access.
`static LibrarySession` | `createSessionForUserDistinguishedName(LibrarySession session, java.lang.String dn)` Create a LibrarySession for the specified user, identified by distinguished name (GUID).
`static LibrarySession` | `createSessionForUserName(LibrarySession session, java.lang.String userName)` Create a LibrarySession for the specified user, identified by name.
`static java.lang.String[]` | `getAddresses(DirectoryUser[] users)` Gets a list of e-mail addresses from a list of DirectoryUsers, removing any address that is null.
`static java.lang.String[]` | `getAddressesForGroupMembers(DirectoryGroup group)` Gets the e-mail addresses of all the members of the specified user group.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createGuestSession

    public static LibrarySession createGuestSession(LibrarySession session)
                                             throws IfsException

  Description copied from class: `UserUtilities`
  Create a LibrarySession that can be used for guest access.

  Parameters:
    `session` - the current session context
  Returns:
    the new session context for guest access
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createSessionForUserName

    public static LibrarySession createSessionForUserName(LibrarySession session,
                                                          java.lang.String userName)
                                                   throws IfsException

  Description copied from class: `UserUtilities`
  Create a LibrarySession for the specified user, identified by name.

  Typically the specified session must be in admin mode.

  Parameters:
    `session` - the current session context
    `userName` - the requested user's name
  Returns:
    the new session context for the specifeid user
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createSessionForUserDistinguishedName

    public static LibrarySession createSessionForUserDistinguishedName(LibrarySession session,
                                                                       java.lang.String dn)
                                                                throws IfsException

  Description copied from class: `UserUtilities`
  Create a LibrarySession for the specified user, identified by distinguished name (GUID).

  Typically the specified session must be in admin mode.

  Parameters:
    `session` - the current session context
    `dn` - the requested user's distinguihsed name (GUID)
  Returns:
    the new session context for the specifeid user
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createGuestCredential

    public static Credential createGuestCredential(LibrarySession session)
                                            throws IfsException

  Description copied from class: `UserUtilities`
  Create a credential that can be used to establish guest access.

  Parameters:
    `session` - the current session context
  Returns:
    the Credential for guest access
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createCredentialForUserName

    public static Credential createCredentialForUserName(LibrarySession session,
                                                         java.lang.String userName)
                                                  throws IfsException

  Description copied from class: `UserUtilities`
  Create a credential that can be used to create a session for the specified user, identified by name.

  Typically the specified session must be in admin mode.

  Parameters:
    `session` - the current session context
    `userName` - the requested user's name
  Returns:
    a credential for the specifeid user
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createCredentialForUserDistinguishedName

    public static Credential createCredentialForUserDistinguishedName(LibrarySession session,
                                                                      java.lang.String dn)
                                                               throws IfsException

  Description copied from class: `UserUtilities`
  Create a Credential that can be used to establish a LibrarySession for the specified user, identified by distinguished name (GUID).

  Typically the specified session must be in admin mode.

  Parameters:
    `session` - the current session context
    `dn` - the requested user's distinguihsed name (GUID)
  Returns:
    a Credential for the specifeid user
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getAddressesForGroupMembers

    public static java.lang.String[] getAddressesForGroupMembers(DirectoryGroup group)
                                                          throws IfsException

  Description copied from class: `UserUtilities`
  Gets the e-mail addresses of all the members of the specified user group.

  Parameters:
    `group` - The group.
  Throws:
    `IfsException` - if the operation fails

### getAddresses

    public static java.lang.String[] getAddresses(DirectoryUser[] users)
                                           throws IfsException

  Description copied from class: `UserUtilities`
  Gets a list of e-mail addresses from a list of DirectoryUsers, removing any address that is null.

  Parameters:
    `users` - the set of users
  Returns:
    the set of email addresses
  Throws:
    `IfsException` - if the operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD